Subject: Re: [PATCH] BreakingChanges: say that `git diff X..Y` syntax will be removed in 3.0

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Oct 2025 09:56:40 -0700

Junio C Hamano <[email-masked]> writes:

> I do not think X..Y (or X...Y), if accepted by commands, would never
> change their meanings in the middle of the commands' lives.

Sorry, double-negation bites again.  Please drop "not" from "I do not
think" when you are reading the above.

> Teaching "git diff" to complain and barf on X..Y is a possibility,
> but to do the same for X...Y, we would need to come up with an
> alternative syntax first.
>
> The same for "git checkout master..."  that detaches HEAD at the
> fork point of the current topic (so that I can "git am" in a new
> iteration of patches on top).  As the syntax "git diff master..."
> is symmetric with it, if one were to change, both should change to
> the same.
>
> Thanks.